import type { ChainModifiers, Entry, EntryFieldTypes, EntrySkeletonType, LocaleCode } from 'contentful'
import {BlogPostFields} from "./blogPost";
import {ContentImage} from "../lib/contentful/contentImage";

export interface WidgetMediaFields {
    decription?: EntryFieldTypes.Symbol
    file?: EntryFieldTypes.AssetLink
}

export interface WidgetMedia {
    file: ContentImage | null
    decription: string | null
}

export type WidgetMediaSkeleton = EntrySkeletonType<WidgetMediaFields, 'WidgetMedia'>
export type WidgetMediaEntry<Modifiers extends ChainModifiers, Locales extends LocaleCode> = Entry<
    WidgetMediaSkeleton,
    Modifiers,
    Locales
>